Subject: Re: bug#65039: 30.0.50; [PATCH] Add bookmark handler for M-x shell

From: Protesilaos Stavrou <[email-masked]>
Date: Fri, 11 Aug 2023 07:55:06 +0300

> From: Visuwesh <[email-masked]>
> Date: Fri,  4 Aug 2023 20:05:03 +0530

> [... 20 lines elided]

>> Thank you!  This seems reasonable.  Have you checked the variable
>> 'shell-file-name'?
>
> Unfortunately, it is not always reliable.  I use mksh as my (local)
> shell but I use bash in the remote system.  In these remote shells, I
> don't see the correct value being set:
>
>     (list major-mode (file-remote-p default-directory) shell-file-name shell--start-prog)
>         ⇒ (shell-mode "/ssh:REDACTED@REDACTED:" "/bin/mksh" "bash")
>
> `shell' also has this comment before the prompt for remote shell
> filename:
>
>     ;; On remote hosts, the local `shell-file-name' might be useless.
>
> HTH.

I see.  Thanks for the explanation!  I shall revisit this patch as soon
as I have a way to test ssh myself.  Not sure when...

-- 
Protesilaos Stavrou
https://protesilaos.com